%define oname	slp
%define subrel	1

%define	major	1
%define	libname	%mklibname %{oname} %{major}
%define	devname	%mklibname %{oname} -d

Name:		openslp
Version: 	2.0.0
Release:	%mkrel 10
Summary:	OpenSLP implementation of Service Location Protocol V2
License:	BSD-like
Group:		Networking/Other
URL:		http://www.openslp.org/
Source0:	http://prdownloads.sourceforge.net/openslp/%{name}-%{version}.tar.gz
Patch0:		openslp-1.2.1-lsb.patch
Patch3:		openslp-2.0.0-null-pointer-deref.patch
Patch4:		openslp-2.0.0-CVE-2016-7567.patch
Patch5:		openslp-2.0.0-CVE-2017-17833.patch
Patch6:		openslp-2.0.0-fdr-CVE-2019-5544.patch

%description
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

OpenSLP is an open source implementation of the SLPv2 protocol as defined
by RFC 2608 and RFC 2614.  This package include the daemon, libraries, header
files and documentation

%package -n %{libname}
Summary:        OpenSLP implementation of Service Location Protocol V2
Group:          System/Libraries
Obsoletes:	%{_lib}openslp1 < 2.0.0-2

%description -n %{libname}
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

OpenSLP is an open source implementation of the SLPv2 protocol as defined
by RFC 2608 and RFC 2614.  This package include the daemon, libraries, header
files and documentation

This package contains the %{libname} runtime library.

%package -n %{devname}
Summary:        Development tools for programs which will use the %{name} library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:	lib%{oname}-devel = %{version}-%{release}
Obsoletes:	%{_lib}openslp1-devel < 2.0.0-2

%description -n %{devname}
The %{name}-devel package includes the header files and static libraries
necessary for developing programs using the %{name} library.

If you are going to develop programs, you should install %{name}-devel.
You'll also need to have the %{name} package installed.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fis
%serverbuild
%configure2_5x \
	--disable-static
%make_build

%install
%make_install

mkdir -p %{buildroot}/%{_sysconfdir}/sysconfig/daemons
cat <<EOF  > %{buildroot}/%{_sysconfdir}/sysconfig/daemons/slpd
IDENT=slp
DESCRIPTIVE="SLP Service Agent"
ONBOOT="yes"
EOF

install -m 755 etc/slpd.all_init -D %{buildroot}/%{_initrddir}/slpd

#we don't want these
find %{buildroot} -name "*.la" -delete

%post
%_post_service slpd

%preun
%_preun_service slpd

%files
%doc doc/*
%config(noreplace) %{_sysconfdir}/slp.conf
%config(noreplace) %{_sysconfdir}/slp.reg
%config(noreplace) %{_sysconfdir}/slp.spi
%config(noreplace) %{_sysconfdir}/sysconfig/daemons/slpd
%config(noreplace) %{_initrddir}/slpd
%{_sbindir}/slpd
%{_bindir}/slptool

%files -n %{libname}
%doc AUTHORS COPYING
%{_libdir}/lib%{oname}.so.%{major}
%{_libdir}/lib%{oname}.so.%{major}.*

%files -n %{devname}
%doc ChangeLog COPYING
%{_libdir}/lib%{oname}.so
%{_includedir}/%{oname}.h


%changelog
* Fri Jan 31 2020 solbu <solbu> 2.0.0-10.1.mga7
+ Revision: 1485816
- Fix for CVE-2019-5544

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-10.mga7
+ Revision: 1300035
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 solbu <solbu> 2.0.0-9.mga7
+ Revision: 1244638
- Add upstream patch to fix CVE-2017-17833
+ kekepower <kekepower>
- Use new make macros

* Wed Sep 28 2016 luigiwalser <luigiwalser> 2.0.0-8.mga6
+ Revision: 1057233
- add upstream patch to fix CVE-2016-7567

* Wed Jun 01 2016 luigiwalser <luigiwalser> 2.0.0-7.mga6
+ Revision: 1019712
- add patch from fedora to fix CVE-2016-4912

* Wed Feb 03 2016 umeabot <umeabot> 2.0.0-6.mga6
+ Revision: 933593
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-5.mga5
+ Revision: 742234
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-4.mga5
+ Revision: 683243
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.0-3.mga4
+ Revision: 532496
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 wally <wally> 2.0.0-2.mga4
+ Revision: 468489
- fix lib and devel pkg names
- disable static build and drop .la files
- clean .spec

* Sun Jul 21 2013 luigiwalser <luigiwalser> 2.0.0-1.mga4
+ Revision: 456713
- 2.0.0
- remove upstreamed patch
- remove dead code from spec

* Sun Jan 13 2013 umeabot <umeabot> 1.2.1-13.mga3
+ Revision: 362149
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 16 2012 luigiwalser <luigiwalser> 1.2.1-12.mga3
+ Revision: 281665
- add patch from ubuntu via opensuse to fix CVE-2010-3609

* Wed Jan 12 2011 dmorgan <dmorgan> 1.2.1-11.mga1
+ Revision: 7171
- imported package openslp

